#ifndef _MODULES_HPP_
#define _MODULES_HPP_

#include "syselmts.hpp"
#include "parts.hpp"

class Module : public SystemElementContainer<Part>
{
public:
    Module(std::string name);
};

class Modules : public SystemElementContainer<Module>
{
public:
    Modules(void);
    Modules(std::vector<Module> pins);
};

#endif // _MODULES_HPP_